﻿// JavaScript Document
function openWin( windowURL, windowName, windowFeatures ) { 
		return window.open( windowURL, windowName, windowFeatures ) ; 
}
function NiftyCheck(){
if(!document.getElementById || !document.createElement)
    return(false);
var b=navigator.userAgent.toLowerCase();
if(b.indexOf("msie 5")>0 && b.indexOf("opera")==-1)
    return(false);
return(true);
}

function Rounded(selector,bk,color,size){
var i;
var v=getElementsBySelector(selector);
var l=v.length;
for(i=0;i<l;i++){
    AddTop(v[i],bk,color,size);
    AddBottom(v[i],bk,color,size);
    }
}

function RoundedTop(selector,bk,color,size){
var i;
var v=getElementsBySelector(selector);
for(i=0;i<v.length;i++)
    AddTop(v[i],bk,color,size);
}

function RoundedBottom(selector,bk,color,size){
var i;
var v=getElementsBySelector(selector);
for(i=0;i<v.length;i++)
    AddBottom(v[i],bk,color,size);
}

function AddTop(el,bk,color,size){
var i;
var d=document.createElement("b");
var cn="r";
var lim=4;
if(size && size=="small"){ cn="rs"; lim=2}
d.className="rtop";
d.style.backgroundColor=bk;
for(i=1;i<=lim;i++){
    var x=document.createElement("b");
    x.className=cn + i;
    x.style.backgroundColor=color;
    d.appendChild(x);
    }
el.insertBefore(d,el.firstChild);
}

function AddBottom(el,bk,color,size){
var i;
var d=document.createElement("b");
var cn="r";
var lim=4;
if(size && size=="small"){ cn="rs"; lim=2}
d.className="rbottom";
d.style.backgroundColor=bk;
for(i=lim;i>0;i--){
    var x=document.createElement("b");
    x.className=cn + i;
    x.style.backgroundColor=color;
    d.appendChild(x);
    }
el.appendChild(d,el.firstChild);
}

function getElementsBySelector(selector){
var i;
var s=[];
var selid="";
var selclass="";
var tag=selector;
var objlist=[];
if(selector.indexOf(" ")>0){  //descendant selector like "tag#id tag"
    s=selector.split(" ");
    var fs=s[0].split("#");
    if(fs.length==1) return(objlist);
    return(document.getElementById(fs[1]).getElementsByTagName(s[1]));
    }
if(selector.indexOf("#")>0){ //id selector like "tag#id"
    s=selector.split("#");
    tag=s[0];
    selid=s[1];
    }
if(selid!=""){
    objlist.push(document.getElementById(selid));
    return(objlist);
    }
if(selector.indexOf(".")>0){  //class selector like "tag.class"
    s=selector.split(".");
    tag=s[0];
    selclass=s[1];
    }
var v=document.getElementsByTagName(tag);  // tag selector like "tag"
if(selclass=="")
    return(v);
for(i=0;i<v.length;i++){
    if(v[i].className==selclass){
        objlist.push(v[i]);
        }
    }
return(objlist);
}

function CheckAll (theFormField)
{
    var bFirst=true;
    var bValue=true;
    for (var i = 0; i < theFormField.length; i++) {
        if (bFirst) {
            if (theFormField[i].checked)
                bValue = false;
            else
                bValue = true;
            bFirst = false;
        }
        theFormField[i].checked = bValue;
    }
}

function getURLParam(strParamName){
  var strReturn = "";
  var strHref = window.location.href;
  if ( strHref.indexOf("?") > -1 ){
    var strQueryString = strHref.substr(strHref.indexOf("?")).toLowerCase();
    var aQueryString = strQueryString.split("&");
    for ( var iParam = 0; iParam < aQueryString.length; iParam++ ){
      if ( aQueryString[iParam].indexOf(strParamName + "=") > -1 ){
        var aParam = aQueryString[iParam].split("=");
        strReturn = aParam[1];
        break;
      }
    }
  }
  return strReturn;
} 

function _replace(string,text,by) {
    var strLength = string.length, txtLength = text.length;
    if ((strLength == 0) || (txtLength == 0)) return string;

    var i = string.indexOf(text);
    if ((!i) && (text != string.substring(0,txtLength))) return string;
    if (i == -1) return string;

    var newstr = string.substring(0,i) + by;

    if (i+txtLength < strLength)
        newstr += _replace(string.substring(i+txtLength,strLength),text,by);

    return newstr;
}

function tabClick(tab)
{
	document.getElementById("tab" + curtab).className = "tab";
	document.getElementById("div" + curtab).className = "hide";
	curtab = tab;
	document.getElementById("tab" + curtab).className = "tab-selected";
	document.getElementById("div" + curtab).className = "show";
}
function init()
{
	document.getElementById("tab" + curtab).className = "tab-selected";
	document.getElementById("div" + curtab).className = "show";
}
var curtab = 1;
		
window.onload=function(){
if(!NiftyCheck())
		return;
		allRounded()
}
function allRounded()
	{
	RoundedTop("div.IssAuthBlock","#F7F7F7","#EEEEEE");
	RoundedBottom("div.IssAuthBlock","#F7F7F7","#EEEEEE");
	RoundedTop("div.xGetHighLightContent","#FFF","#F5F8FF");
	RoundedBottom("div.xGetHighLightContent","#FFF","#F5F8FF");
	RoundedTop("div.zawayaBlock","#FFF","#EEEEEE");
	RoundedBottom("div.zawayaBlock","#FFF","#EEEEEE");
	RoundedTop("div.writersBlock","#FFF","#EDF4FE");
	RoundedBottom("div.writersBlock","#FFF","#eeeeee");
	Rounded("div.grayBlock","#FFF","#f7f7f7");
	RoundedTop("div.sideBlock","#FFF","#E6D898");
	RoundedBottom("div.sideBlock","#FFF","#E6D898");
	/*Rounded("div#footer","#FFF","#E8F1E0");	*/
	Rounded("div.catListx","#FFF","#EDF4FE");	
	}
	
function chksrchval()
{
	if(document.searchform.KEYWORD.value.length == 0)
	{
		alert('يجب ادخال كلمة بحث');
		return false;
	}
	else
		return true;
}	

function showmenu(menuobj){
	if(document.all){
		var childMenus = menuobj.parentNode.childNodes;
		for(var i=0; i<childMenus.length; i++){	
			var obj = childMenus[i];
			if(obj.nodeName.toLowerCase() == "ul"){
				obj.style.display = "block";
				obj.attachEvent("onmouseover", function(){obj.style.display = "block";});
			}
		}	
	}
}

function hidemenu(menuobj){
	if(document.all){
		var childMenus = menuobj.parentNode.childNodes;
		for(var i=0; i<childMenus.length; i++){	
			var obj = childMenus[i];
			if(obj.nodeName.toLowerCase() == "ul"){
				obj.style.display = "none";
				obj.attachEvent("onmouseout", function(){obj.style.display = "none";});
			}
		}
	}
}
var _IEYes=navigator.userAgent.toLowerCase().indexOf('msie')!=-1?1:0;
if(!_IEYes)
{
	document.write('<LINK href="http://www.okaz.com.sa/okaz/'+'includes/menu_ff.css"'+' rel=stylesheet type=text/css>');
}
else
{
	document.write('<LINK href="http://www.okaz.com.sa/okaz/'+'includes/menu_ie.css"'+' rel=stylesheet type=text/css>');
}